Class PythonSettings

This class manages settings concerning PYTHON, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'PythonSettings::member' rather than
'PythonSettings::instance()->member' or other long sentence like this.

Declaration :

- C++ : class PythonSettings : public UmlSettings
- Java : package class PythonSettings extends UmlSettings

Artifact : PythonSettings

Operation isPython_2_2

return if classes follow Python 2.2 by default

Declaration :

- Uml : static, + isPython_2_2() : bool
- C++ : public: static bool isPython_2_2()
- Java : public static boolean isPython_2_2()

Operation set_IsPython_2_2

set if classes follow Python 2.2 by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsPython_2_2(in y : bool) : bool
- C++ : public: static bool set_IsPython_2_2(bool y)
- Java : public static void set_IsPython_2_2(boolean y)

Operation isPython_3_operation

returns if operations follow Python 3 (pep-3107)

Declaration :

- Uml : static, + isPython_3_operation() : bool
- C++ : public: static bool isPython_3_operation()
- Java : public static boolean isPython_3_operation()

Operation set_IsPython_3_operation

set if operations follow Python 3 (pep-3107)
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsPython_3_operation(in y : bool) : bool
- C++ : public: static bool set_IsPython_3_operation(bool y)
- Java : public static void set_IsPython_3_operation(boolean y)

Operation indentStep

return the default indent step

Declaration :

- Uml : static, + indentStep() : string
- C++ : public: static const QCString & indentStep()
- Java : public static String indentStep()

Operation set_IndentStep

set default indent step
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IndentStep(in v : str) : bool
- C++ : public: static bool set_IndentStep(char * v)
- Java : public static void set_IndentStep(String v)

Operation useDefaults

returns TRUE when the created Python objects are initialized
with the default declaration/definition

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

Operation set_UseDefaults

if y is TRUE the future created Python objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

Operation relationAttributeStereotype

returns the PYTHON stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + relationAttributeStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeStereotype(const QCString & s)
- Java : public static String relationAttributeStereotype(String s)

Operation set_RelationAttributeStereotype

set the PYTHON stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationAttributeStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationAttributeStereotype(QCString s, QCString v)
- Java : public static void set_RelationAttributeStereotype(String s, String v) throws RuntimeException

Operation relationAttributeUmlStereotype

reverse of the RelationAttributeStereotype() operation, returns the 'UML'
stereotype corresponding to the PYTHON one given in argument

Declaration :

- Uml : static, + relationAttributeUmlStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeUmlStereotype(const QCString & s)
- Java : public static String relationAttributeUmlStereotype(String s)

Operation classStereotype

returns the PYTHON stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(const QCString & s)
- Java : public static String classStereotype(String s)

Operation set_ClassStereotype

set the PYTHON stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

Operation classUmlStereotype

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the PYTHON one given in argument

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(const QCString & s)
- Java : public static String classUmlStereotype(String s)

Operation get_import

returns the import or other form specified in the last
'Generation settings' tab for the Python type given in argument.

Declaration :

- Uml : static, + get_import(in s : string) : string
- C++ : public: static QCString get_import(const QCString & s)
- Java : public static String get_import(String s)

Operation set_Import

set the import or other form specified in the last
'Generation settings' tab for the Python type given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Import(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Import(QCString s, QCString v)
- Java : public static void set_Import(String s, String v) throws RuntimeException

Operation rootDir

return the 'root' directory

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static const QCString & rootDir()
- Java : public static String rootDir()

Operation set_RootDir

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

Operation sourceContent

returns the default source file content

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static const QCString & sourceContent()
- Java : public static String sourceContent()

Operation set_SourceContent

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

Operation sourceExtension

returns the extension of the file produced by the PYTHON code generator

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static const QCString & sourceExtension()
- Java : public static String sourceExtension()

Operation set_SourceExtension

set the extension of the file produced by the PYTHON code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

Operation classDecl

returns the default definition of a class

Declaration :

- Uml : static, + classDecl() : string
- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

Operation set_ClassDecl

set the default definition of a class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

Operation externalClassDecl

returns the default specification for an 'external' class

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

Operation set_ExternalClassDecl

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

Operation enumDecl

returns the default definition of an enumeration

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static QCString enumDecl()
- Java : public static String enumDecl()

Operation set_EnumDecl

set the default definition of an enumeration
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

Operation attributeDecl

returns the default definition of an attribute depending on the multiplicity

Declaration :

- Uml : static, + attributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & attributeDecl(const char * multiplicity)
- Java : public static String attributeDecl(String multiplicity)

Operation set_AttributeDecl

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_AttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_AttributeDecl(String multiplicity, String v) throws RuntimeException

Operation enumItemDecl

returns the default definition of an enumeration item

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static QCString enumItemDecl()
- Java : public static String enumItemDecl()

Operation set_EnumItemDecl

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

Operation relationDecl

returns the default definition of a relation depending on it is an
aggregation by value or not and the multiplicity, given in argument.

Declaration :

- Uml : static, + relationDecl(in by_value : bool, in multiplicity : str) : string
- C++ : public: static const QCString & relationDecl(bool by_value, const char * multiplicity)
- Java : public static String relationDecl(boolean by_value, String multiplicity)

Operation set_RelationDecl

set the default definition of a relation depending on it is an
aggregation by value or not and the multiplicity, given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationDecl(in by_value : bool, in multiplicity : str, in v : str) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(bool by_value, const char * multiplicity, const char * v)
- Java : public static void set_RelationDecl(boolean by_value, String multiplicity, String v) throws RuntimeException

Operation operationDef

returns the default definition of an operation

Declaration :

- Uml : static, + operationDef() : string
- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

Operation set_OperationDef

set the default definition of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationDef(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

Operation initOperationDef

returns the default definition of __init__

Declaration :

- Uml : static, + initOperationDef() : string
- C++ : public: static const QCString & initOperationDef()
- Java : public static String initOperationDef()

Operation set_InitOperationDef

set the default definition of __init__
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_InitOperationDef(in v : string) : bool
- C++ : public: static bool set_InitOperationDef(QCString v)
- Java : public static void set_InitOperationDef(String v)

Operation getName

returns the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

Operation set_GetName

set the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

Operation setName

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

Operation set_SetName

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

Operation PythonSettings

never called !

Declaration :

- Uml : - PythonSettings() :
- C++ : private: PythonSettings()
- Java : private PythonSettings()

Operation mult_column

Declaration :

- Uml : static, - mult_column(in mult : string) : unsigned
- C++ : private: static unsigned mult_column(const QCString & mult)
- Java : private static int mult_column(String mult)

Attribute _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribute _2_2

Declaration :

- Uml : static, - _2_2 : bool
- C++ : private: static bool _2_2
- Java : private static boolean _2_2

Attribute _operation_3

Declaration :

- Uml : static, # _operation_3 : bool
- C++ : protected: static bool _operation_3
- Java : protected static boolean _operation_3

Attribute _indent_step

Declaration :

- Uml : static, - _indent_step : string
- C++ : private: static QCString _indent_step
- Java : private static String _indent_step

Attribute _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribute _class_decl

Declaration :

- Uml : static, - _class_decl : string
- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribute _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribute _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribute _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl[2/*multiplicity*/]
- Java : private static String _attr_decl[/*multiplicity*/]

Attribute _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribute _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl[2/*relation kind*/][2/*multiplicity*/]
- Java : private static String[][] _rel_decl

Attribute _oper_def

Declaration :

- Uml : static, - _oper_def : string
- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Attribute _initoper_def

Declaration :

- Uml : static, # _initoper_def : string
- C++ : protected: static QCString _initoper_def
- Java : protected static String _initoper_def

Attribute _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribute _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribute _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribute _ext

Declaration :

- Uml : static, - _ext : string
- C++ : private: static QCString _ext
- Java : private static String _ext

Attribute _map_imports

Declaration :

- Uml : static, - _map_imports : string
- C++ : private: static QDict<QCString> _map_imports
- Java : private static Hashtable _map_imports

Operation read_

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

Operation read_if_needed_

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

All public operations : artifactDescription , attributeDecl , attributeDescription , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumItemDecl , externalClassDecl , get_import , getName , indentStep , initOperationDef , isPython_2_2 , isPython_3_operation , operationDef , operationDescription , relationAttributeStereotype , relationAttributeUmlStereotype , relationDecl , relationDescription , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumItemDecl , set_ExternalClassDecl , set_GetName , set_Import , set_IndentStep , set_InitOperationDef , set_IsPython_2_2 , set_IsPython_3_operation , set_OperationDef , set_OperationDescription , set_RelationAttributeStereotype , set_RelationDecl , set_RelationDescription , set_RootDir , set_SetName , set_SourceContent , set_SourceExtension , set_UmlGetName , set_UmlSetName , set_UseDefaults , setName , sourceContent , sourceExtension , umlGetName , umlSetName , useDefaults